Loading...
Searching...
No Matches
message_router< TDerived, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, void > Class Template Reference

## Public Types

typedef etl::message_packet< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15 > | message_packet

## Public Member Functions

| message_router (etl::message_router_id_t id_)
| message_router (etl::message_router_id_t id_, etl::imessage_router &successor_)
| message_router (etl::imessage_router &successor_)
bool | accepts (etl::message_id_t id) const ETL_OVERRIDE
ETL_DEPRECATED bool | is_null_router () const ETL_OVERRIDE
bool | is_producer () const ETL_OVERRIDE
bool | is_consumer () const ETL_OVERRIDE
virtual void | receive (const etl::imessage &)=0
virtual void | receive (etl::message_router_id_t destination_router_id, const etl::imessage &message)
virtual void | receive (etl::shared_message shared_msg)
virtual void | receive (etl::message_router_id_t destination_router_id, etl::shared_message shared_msg)

The documentation for this class was generated from the following file:

- include/etl/private/message_router_cpp03.h